Bug 13738 - Performance regression in DNS server
Performance regression in DNS server
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.9.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-09 22:02 UTC by Douglas Bagnall
Modified: 2019-01-18 10:32 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.9 and 4.8 (1.58 KB, text/plain)
2019-01-13 20:21 UTC, Tim Beale
timbeale: review? (gary)
gary: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Bagnall 2019-01-09 22:02:30 UTC
DNS is slow in zones with a large number of records.
Comment 1 Tim Beale 2019-01-13 20:21:04 UTC
Created attachment 14766 [details]
Patch for 4.9 and 4.8

Attached backport of fix for 4.9 and 4.8. I've run it through CI as a sanity-check:

CI (4.9) https://gitlab.com/catalyst-samba/samba/pipelines/43185088
CI (4.8) https://gitlab.com/catalyst-samba/samba/pipelines/43184832
Comment 2 Tim Beale 2019-01-14 00:38:02 UTC
Hi Karolin, could you deliver the attached fix to 4.8 and 4.9 please? Thanks.
Comment 3 Karolin Seeger 2019-01-14 09:11:53 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 4 Karolin Seeger 2019-01-18 10:32:38 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!